require("ai.JINB.JINB")
--
function c87592204.initial_effect(c)
	--Activate
	local e1=Effect.CreateEffect(c)
	e1:SetType(EFFECT_TYPE_ACTIVATE)
	e1:SetCode(EVENT_FREE_CHAIN)
	c:RegisterEffect(e1)

	local e2=Effect.CreateEffect(c)
	e2:SetDescription(aux.Stringid(87592204,0))
	e2:SetType(EFFECT_TYPE_FIELD+EFFECT_TYPE_TRIGGER_F)
	e2:SetProperty(EFFECT_FLAG_PLAYER_TARGET)
	e2:SetCode(EVENT_SPSUMMON_SUCCESS)
	e2:SetRange(LOCATION_SZONE)
	e2:SetCountLimit(1)
	e2:SetCondition(c87592204.con)
	e2:SetOperation(c87592204.op)
	c:RegisterEffect(e2)

end

function c87592204.con(e,tp,eg,ep,ev,re,r,rp)
	local g=eg:Filter(c87592204.filter,nil)
	return g:GetCount()==1
	and not Duel.IsExistingMatchingCard(Card.IsSetCard,g:GetFirst():GetSummonPlayer(),LOCATION_HAND,0,1,nil,0x871)
end
function c87592204.filter(c)
	return c:IsType(TYPE_FUSION)
end
function c87592204.op(e,tp,eg,ep,ev,re,r,rp)
	local p=eg:GetFirst():GetSummonPlayer()
	c=Duel.CreateToken(p,ac1[math.random(#ac1)])
	Duel.SendtoHand(c,p,REASON_RULE)
	--action
	local e1=Effect.CreateEffect(c)
	e1:SetType(EFFECT_TYPE_SINGLE)
	e1:SetCode(EFFECT_CANNOT_SSET)
	c:RegisterEffect(e1)
	local e2=Effect.CreateEffect(c)
	e2:SetType(EFFECT_TYPE_SINGLE)
	e2:SetCode(EFFECT_QP_ACT_IN_NTPHAND)
	c:RegisterEffect(e2)
end